import { setSeederFactory } from 'typeorm-extension';
import { Category } from '@/entities/category.entity';
import { Faker } from '@faker-js/faker';

export const categoriesFactory = setSeederFactory(Category, (faker: Faker) => {
  const category = new Category();
  category.title = faker.commerce.department();
  category.description = faker.lorem.sentence();

  return category;
});
